<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class View_user_massages extends CI_Controller {

    /**
     * Index Page for this controller.
     *
     * Maps to the following URL
     * 		http://example.com/index.php/welcome
     *	- or -
     * 		http://example.com/index.php/welcome/index
     *	- or -
     * Since this controller is set as the default controller in
     * config/routes.php, it's displayed at http://example.com/
     *
     * So any other public methods not prefixed with an underscore will
     * map to /index.php/welcome/<method_name>
     * @see https://codeigniter.com/user_guide/general/urls.html
     */
    public function __construct()
    {
        parent::__construct();
        $this->load->library('session');
        if(!isset($_SESSION['admin'])){redirect('admin/Login');}
    }



    public function index()
    {
        $this->load->view('admin/header');
        $this->load->view('admin/user_sms_view');
        $this->load->view('admin/footer');
    }

    public function delete($id)
    {
        $this->db->where('id', $id);
        $sql = $this->db->delete('contect_us');
        if($sql){
            $this->session->set_flashdata('success', "Massage Deleted Successfully");
            redirect('admin/View_user_massages');
        }else{
            $this->session->set_flashdata('error', "something went wrong");
            redirect('admin/View_user_massages');
        }
    }
}
